<?php
/**
 * Compacta as imagens de um diretório
 * @param $dir Diretório das imagens a serem compactadas
 * @param $destDir Destino do arquivo.zip
 * @return string $newFIle Diretório do arquivo.zip com as imagens finais dentro
 */
function compactarImagens($dir, $destDir)
{
    $newFile = 'imagens_redimensionadas.zip';

    // Criando o pacote
    $zip = new ZipArchive();
    $criou = $zip->open($newFile, ZipArchive::CREATE);
    if ( $criou )
    {
        // Adicionando as imagens redimensionadas
        foreach ( (array)glob($dir.'{*}', GLOB_BRACE) as $file )
        {
            // Copiando arquivo
            $arrayName = explode('/', $file);
            $zip->addFile($file, array_pop($arrayName));
        }

        // Salvando o arquivo
        $zip->close();
    }
    else
    {
        throw new Exception('Erro: '.$criou);
    }

    return $newFile;
}

$dir = '';
$destDir = '';
echo compactarImagens($dir, $destDir);
?>
